Bug 458484 - crash version update in Fedora 9
crash version update in Fedora 9
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-08 15:38 EDT by Thomas Meyer
Modified: 2009-06-10 08:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-10 08:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Meyer 2008-08-08 15:38:02 EDT
Description of problem:
Fedora 9 currently uses kernel version 2.6.25xxx.

As far as i understand the problem at least crash version 4.0-6.1 is needed to support this kernel. Please update crash version to the rawhide version to support Fedora 9's current kernel.

Version-Release number of selected component (if applicable):
crash version in Fedora 9 is 4.0-6.0.5

How reproducible:

Steps to Reproduce:
1. crash vmlinux next-20080808-vmcore
Actual results:
Error in user_regs.

Expected results:
Works like a charm.

Additional info:
Comment 1 Dave Anderson 2008-08-08 15:53:31 EDT
It's not worth the effort due to the constantly-shifting sands of the kernel.
Every so often the rawhide version will get updated.

Comment 2 Thomas Meyer 2008-08-09 09:05:58 EDT
Thanks for the quick response.
I can live with that solution, just installed the rpm from the given adress and now i can use this great tool to do post mortem analysis.

One more question:

doing "kmem -S" on kernel next-20080808 gives me the following error:

crash> kmem -S

kmem: invalid structure member offset: kmem_cache_objects
      FILE: memory.c  LINE: 13500  FUNCTION: dump_kmem_cache_slub()

[/usr/bin/crash] error trace: 8085195 => 809f946 => 80c0d82 => 813b9a0

  813b9a0: OFFSET_verify+118
  80c0d82: dump_kmem_cache_slub+1033
  809f946: cmd_kmem+3196
  8085195: exec_command+265

kmem: invalid structure member offset: kmem_cache_objects
      FILE: memory.c  LINE: 13500  FUNCTION: dump_kmem_cache_slub()

Are you interested in this kind of kernel "progress" or is linux-next too volatile for you to look at?
Comment 3 Dave Anderson 2008-08-11 08:58:34 EDT
Yeah, this is exactly the type of issue...

I don't work with upstream kernels much, and it looks like the
venerable old "kmem_cache.objects" structure member no longer exists,
and has been replaced somehow by two order-type members?:

        /* Allocation and freeing of slabs */
        struct kmem_cache_order_objects max;
        struct kmem_cache_order_objects min;

It's the first time I've seen this.  And it doesn't appear to be
a straight-forward fix for the crash utility.

Anyway, I'll get around to it eventually, typically when somebody forwards
me a sample vmlinux/vmcore pair to work with.

Comment 4 Dave Anderson 2009-05-07 10:41:06 EDT
Fixed in upstream version 4.0-7.2:


4.0-7.2  - Fix for initialization-time failure when running against 2.6.27
           x86_64 kernels, which indicate "crash: cannot resolve: end_pfn".
           The patch sets the new 2.6.27 x86_64 PAGE_OFFSET value, handles 
           the change in the x86_64 "_cpu_pda" variable declaration, and 
           distinguishes paravirtual "pv_ops" kernels from traditional xen
           kernels.  (oomichi@mxs.nes.nec.co.jp, anderson@redhat.com)

         - When an improper structure member offset or structure size is
           attempted, a partial crash backtrace is displayed in the ensuing 
           error message.  However, if the crash binary was stripped, it would
           show "/usr/bin/nm: /tmp/crash: no symbols" instead of the address
           and name of the symbol.  This has been fixed to work with stripped
           binaries if the crash symbol can be found in the crash binary; if
           the crash symbol cannot be found, such as for static text symbols,
           it will just display its address and "(undetermined)".  

         - crash.spec file addition: Requires: binutils 

         - Fix for LKCD kerntypes debuginfo files to use "node_states" when 
           "node_online_map" is not in use.  (cpw@sgi.com)

         - Implement support for s390/s390x CONFIG_SPARSEMEM kernels.  Without
           the patch, crash sessions would fail during initialization with the
           error message: "crash: CONFIG_SPARSEMEM kernels not supported for 
           this architecture".  (holzheu@linux.vnet.ibm.com)

         - Fix for "kmem -[sS]" when running against 2.6.27 CONFIG_SLUB kernels,
           in which the kmem_cache.objects and .order members were replaced by 
           a kmem_cache_order_objects structure.  Without the patch, the command
           would fail with the error message: "kmem: "invalid structure member 
           offset: kmem_cache_objects".  The fix also recognizes and supports
           potentially variable slab sizes as introduced by the kernel patch.

         - Increased the maximum number of SIAL commands from 100 to 200.

         - 4.0-7.1 to 4.0-7.2 incremental patch


Information for build crash-4.0-8.7.2.fc11
Comment 5 Bug Zapper 2009-06-09 22:24:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.